SLASH_SRB1 = '/srb';

local StopButton = CreateFrame("Button", "RanmasStopTaxiButton", UIParent, "UIPanelButtonTemplate")
StopButton:SetSize(120, 50)
StopButton:SetText("Request Stop")
StopButton:SetPoint("CENTER", 180, -180)
StopButton:SetMovable(true)
StopButton:SetClampedToScreen(true)
StopButton:SetUserPlaced(true) --Change this to a savedvar soon(tm)
StopButton:RegisterForDrag("LeftButton")
StopButton:SetScript("OnDragStart", StopButton.StartMoving)
StopButton:SetScript("OnDragStop", StopButton.StopMovingOrSizing)
StopButton:SetScript("OnClick", function()
	local message = "|cffcc33ff Okay|r |cff00ccff "..UnitName("player").."|r |cffcc33ff Stopping at the next Flight Master.|r"
	RaidNotice_AddMessage(RaidWarningFrame, message, ChatTypeInfo["RAID_WARNING"])
	print(message)
	TaxiRequestEarlyLanding()
end)

local taxiTime, onTaxi = 0
 
hooksecurefunc("TakeTaxiNode", function(i)
    --print("TakeTaxiNode", i)
    taxiTime = GetTime()
end)

StopButton:RegisterEvent("PLAYER_ENTERING_WORLD") 
StopButton:RegisterEvent("PLAYER_CONTROL_GAINED")
StopButton:RegisterEvent("PLAYER_CONTROL_LOST")
StopButton:RegisterEvent("PLAYER_CONTROL_GAINED")
StopButton:RegisterEvent("PLAYER_CONTROL_LOST")
StopButton:SetScript("OnEvent", function(self, event)
    --print(event)
	if event == "PLAYER_ENTERING_WORLD" then
		self:Hide()
	end
    if event == "PLAYER_CONTROL_LOST" then
        if GetTime() - taxiTime < 1 then
            --print("Flight started!")
            onTaxi = true
            self:Show()
        end
    elseif onTaxi then
        --print("Flight ended!")
        onTaxi = false
        self:Hide()
    end
end)

function SlashCmdList.SRB()
		if  StopButton:IsVisible() then
			StopButton:Hide()
		else
			StopButton:Show()
		end
end

--[[

Ran_StopRequestButtonPerCharacterDB   Savedvars name

StopButton:SetScript("OnDragStart", function(self) self:StartMoving() end)
StopButton:SetScript("OnDragStop", function(self)
    print("OnDragStop running...")
    self:StopMovingOrSizing()
    self.framePosX = self:GetLeft()
    self.framePosY = self:GetTop()
end)

]]--